Page MenuHomePhabricator

Create new "MP3 uploaders" user group on Commons
Closed, ResolvedPublic

Event Timeline

kaldari created this task.Nov 8 2017, 5:41 AM

Change 389916 had a related patch set uploaded (by Kaldari; owner: kaldari):
[mediawiki/extensions/WikimediaMessages@master] Add "MP3 uploaders" user group for Commons

https://gerrit.wikimedia.org/r/389916

revi added a subscriber: revi.Nov 8 2017, 7:44 AM

Change 389916 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add "MP3 uploaders" user group for Commons

https://gerrit.wikimedia.org/r/389916

Change 390131 had a related patch set uploaded (by Kaldari; owner: kaldari):
[operations/mediawiki-config@master] Create new MP3 Uploaders group on Commons

https://gerrit.wikimedia.org/r/390131

Johan added a subscriber: Johan.Nov 9 2017, 4:55 PM

@kaldari Any idea when the new user group will actually be working and part of the Commons workflow? (If possible to say.)

@Johan: Hopefully by next Friday (the 17th).

Ramsey-WMF moved this task from Untriaged to Tracking on the Multimedia board.Nov 15 2017, 5:47 PM
jrbs moved this task from Backlog to Radar on the Trust-and-Safety board.Nov 16 2017, 12:42 AM

Change 390131 merged by jenkins-bot:
[operations/mediawiki-config@master] Create new MP3 Uploaders group on Commons

https://gerrit.wikimedia.org/r/390131

kaldari closed this task as Resolved.Nov 17 2017, 2:27 AM
kaldari claimed this task.
Restricted Application reassigned this task from kaldari to R3609901. · View Herald TranscriptNov 17 2017, 3:45 AM
zhuyifei1999 added a subscriber: R3609901.
Restricted Application reassigned this task from kaldari to R3609901. · View Herald TranscriptNov 17 2017, 4:25 AM
zhuyifei1999 removed a subscriber: R3609901.

Change 392166 had a related patch set uploaded (by Kaldari; owner: kaldari):
[operations/mediawiki-config@master] Allow admins to remove users from MP3 uploaders user group

https://gerrit.wikimedia.org/r/392166

Natuur12 added a subscriber: Natuur12.EditedNov 19 2017, 3:41 PM

Once added admins can't remove users from the user group. Is this intentional or not?

@Natuur12: That's fixed in the patch referenced right above your comment: https://gerrit.wikimedia.org/r/#/c/392166/.

Change 392166 merged by jenkins-bot:
[operations/mediawiki-config@master] Allow admins to remove users from MP3 uploaders user group

https://gerrit.wikimedia.org/r/392166

Mentioned in SAL (#wikimedia-operations) [2017-11-20T19:36:50Z] <ladsgroup@tin> Synchronized wmf-config/InitialiseSettings.php: Allow admins to remove users from MP3 uploaders user group (T180002) (duration: 00m 49s)

Teles added a subscriber: Teles.Nov 20 2017, 7:39 PM

Per discussion at https://commons.wikimedia.org/wiki/Commons:Village_pump#MP3_uploaders_user_group_created, the group is being changed to "Extended uploaders" (which should be more future-proof).

Change 394142 had a related patch set uploaded (by Kaldari; owner: kaldari):
[mediawiki/extensions/WikimediaMessages@master] Adding "Extended uploaders" group for Commons

https://gerrit.wikimedia.org/r/394142

Change 394142 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Adding "Extended uploaders" group for Commons

https://gerrit.wikimedia.org/r/394142

Change 394155 had a related patch set uploaded (by Kaldari; owner: kaldari):
[mediawiki/extensions/WikimediaMessages@wmf/1.31.0-wmf.10] Adding "Extended uploaders" group for Commons

https://gerrit.wikimedia.org/r/394155

Change 394155 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@wmf/1.31.0-wmf.10] Adding "Extended uploaders" group for Commons

https://gerrit.wikimedia.org/r/394155

Change 394437 had a related patch set uploaded (by Kaldari; owner: kaldari):
[mediawiki/extensions/WikimediaMessages@master] Remove unneeded MP3 uploaders group (replaced by extended uploaders)

https://gerrit.wikimedia.org/r/394437

Change 394437 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Remove unneeded MP3 uploaders group (replaced by extended uploaders)

https://gerrit.wikimedia.org/r/394437